import { ShowModalOptions, View } from "@nativescript/core";
import { App, Component, ComponentInternalInstance, ComponentPublicInstance, Ref } from "@vue/runtime-core";
import { NSVElement } from "../dom";
declare module "@vue/runtime-core" {
    interface ComponentCustomProperties {
        /**
         * todo: update docblock
         */
        $showModal: <T = any>(component: Component, options?: ModalOptions) => Promise<T | false | undefined>;
        $closeModal: (arg: any) => void;
        $modal: {
            close: (arg: any) => void;
        };
    }
}
type ResolvableModalTarget = Ref | ComponentInternalInstance | ComponentPublicInstance | NSVElement | View | any;
export interface ModalOptions extends Partial<ShowModalOptions> {
    props?: Record<string, any>;
    target?: ResolvableModalTarget;
}
/**
 * @internal
 */
export declare function install(app: App): void;
export declare function $showModal<T = any>(component: Component, options?: ModalOptions): Promise<T | false | undefined>;
export {};
