import { View } from "@nativescript/core";
import { AppContext, Component } from "@vue/runtime-core";
import { NSVNode } from "./dom";
type Props = Record<string, unknown>;
export declare const setRootContext: (context: AppContext) => void;
export declare const createNativeView: <T = View>(component: Component, props?: Props) => {
    context: {
        app: import("@vue/runtime-core").App<any>;
        config: import("@vue/runtime-core").AppConfig;
        mixins: import("@vue/runtime-core").ComponentOptions<{}, any, any, any, any, any, any, any>[];
        components: Record<string, Component<any, any, any, import("@vue/runtime-core").ComputedOptions, import("@vue/runtime-core").MethodOptions>>;
        directives: Record<string, import("@vue/runtime-core").Directive<any, any>>;
        provides: Record<string | symbol, any>;
    };
    readonly nativeView: T;
    mount(root?: NSVNode): T;
    unmount(): void;
};
export declare const ELEMENT_REF: unique symbol;
export declare const isOn: (key: string) => boolean;
export declare const isAndroidKey: (key: string) => boolean;
export declare const isIOSKey: (key: string) => boolean;
export declare const isBoolean: (value: unknown) => boolean;
export {};
